# STEPSelections_HSequenceOfAssemblyLink.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_STEPSelections_HSequenceOfAssemblyLink.hxx>`
`#include <STEPSelections_SequenceOfAssemblyLink.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_STEPSelections_AssemblyLink.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_STEPSelections_AssemblyLink
#define | Item_hxx <STEPSelections_AssemblyLink.hxx>
#define | TheSequence STEPSelections_SequenceOfAssemblyLink
#define | TheSequence_hxx <STEPSelections_SequenceOfAssemblyLink.hxx>
#define | TCollection_HSequence STEPSelections_HSequenceOfAssemblyLink
#define | TCollection_HSequence_hxx <STEPSelections_HSequenceOfAssemblyLink.hxx>
#define | Handle_TCollection_HSequence Handle_STEPSelections_HSequenceOfAssemblyLink
#define | TCollection_HSequence_Type_() STEPSelections_HSequenceOfAssemblyLink_Type_()

## Functions

Handle_STEPSelections_HSequenceOfAssemblyLink | ShallowCopy (const Handle_STEPSelections_HSequenceOfAssemblyLink &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_STEPSelections_HSequenceOfAssemblyLink

#define Item Handle_STEPSelections_AssemblyLink

#define Item_hxx <STEPSelections_AssemblyLink.hxx>

#define TCollection_HSequence STEPSelections_HSequenceOfAssemblyLink

#define TCollection_HSequence_hxx <STEPSelections_HSequenceOfAssemblyLink.hxx>

#define TCollection_HSequence_Type_ | (

)

STEPSelections_HSequenceOfAssemblyLink_Type_()

#define TheSequence STEPSelections_SequenceOfAssemblyLink

#define TheSequence_hxx <STEPSelections_SequenceOfAssemblyLink.hxx>

## Function Documentation

Handle_STEPSelections_HSequenceOfAssemblyLink ShallowCopy | ( | const Handle_STEPSelections_HSequenceOfAssemblyLink & | me | ) | `[inline]`